<!-- index.html -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Randomness Simulation</title>
    <link rel="stylesheet" href="styles.css">
    <style>
        .slider-container {
            display: flex;
            justify-content: space-around;
            margin-top: 20px;
        }

        .slider-label {
            margin-right: 10px;
        }

        .bar {
            height: 20px;
            width: 100%;
            background-color: rgb(11, 138, 224);
        }

    </style>
</head>
<body>
    <div class="slider-container">
        <label class="slider-label">Number of Systems (M): <span id="systemValue">2</span></label>
        <input type="range" id="systemSlider" min="2" max="100" value="2">
        <br>
        <label class="slider-label">Number of Attacks (N): <span id="attackValue">1000</span></label>
        <input type="range" id="attackSlider" min="10" max="1000" value="1000">
        <br>
        <label class="slider-label">Threshold S: <span id="thresholdSValue">20,60,100</span></label>
        <input type="text" id="thresholdSSlider" placeholder="e.g., 20, 60, 100" value="20,60,100">
        <br>
        <label class="slider-label">Threshold P: <span id="thresholdPValue">-20</span></label>
        <input type="range" id="thresholdPSlider" min="-200" max="-20" value="-20" step="10">
        <br>
        <label class="slider-label">Probability of Penetration (p): <span id="penetrationValue">0.5</span></label>
        <input type="range" id="penetrationSlider" min="0.0" max="1" step="0.01" value="0.5">
    </div>

    <div class="bar"></div>

    <canvas id="myCanvas" width="1920" height="1040"></canvas>


    <script type="module">
    import { updateChart } from './script.mjs';

    const systemSlider = document.getElementById('systemSlider');
    const attackSlider = document.getElementById('attackSlider');
    const penetrationSlider = document.getElementById('penetrationSlider');
    const thresholdSSlider = document.getElementById('thresholdSSlider');
    const thresholdPSlider = document.getElementById('thresholdPSlider');

    systemSlider.addEventListener('input', () => {
        systemValue.textContent = systemSlider.value;
        updateChart();
    });

    attackSlider.addEventListener('input', () => {
        attackValue.textContent = attackSlider.value;
        updateChart();
    });

    penetrationSlider.addEventListener('input', () => {
        penetrationValue.textContent = penetrationSlider.value;
        updateChart();
    });

    thresholdSSlider.addEventListener('input', () => {
        thresholdSValue.textContent = thresholdSSlider.value;
        updateChart();
    });

    thresholdPSlider.addEventListener('input', () => {
        thresholdPValue.textContent = thresholdPSlider.value;
        updateChart();
    });
    </script>

    <script type="module" src="script.mjs"></script>
</body> 
</html>


